var FileSystem = require("fs");
var overriden = {
	stat: FileSystem.stat
};

/**
 * Decorates the fs.stat method to contain the requesting filepath in the resulting array.
 * Making flow control easier when working with multiple queries.
 */ 
FileSystem.stat = function(filepath, callback) {
	overriden.stat(filepath, function(error, stats) {
		if (stats) {
			stats.filepath = filepath;
		}
		callback(error, stats);
	});
}

module.exports = FileSystem;