var Path = require("path");
	
/**
 * Decorate the standard path module 
 */

Path.getModel = function(name, moduleName) {
	var absolute = Path.getApplicationPath();
	if (moduleName) {
		absolute = Path.join(absolute, 'modules/', moduleName);
	}
	
	absolute = Path.join(absolute, 'models/', name);
	return absolute;
};

Path.getView = function(name, moduleName) {
	var absolute = Path.getApplicationPath();
	if (moduleName) {
		absolute = Path.join(absolute, 'modules/', moduleName);
	}
	
	absolute = Path.join(absolute, 'views/', name);
	return absolute;
};

Path.getPlugin = function(name, moduleName) {
	var absolute = Path.getApplicationPath();
	if (moduleName) {
		absolute = Path.join(absolute, 'modules/', moduleName);
	}
	
	absolute = Path.join(absolute, 'plugins/', name);
	return absolute;
};

Path.getModulePath = function(moduleName) {
	return Path.join(Path.getApplicationPath(), 'modules/', moduleName); 
};

Path.getSystemPath = function() {
	return Path.join(getBasePath(), '/node_modules/contentcube/');
};

function getBasePath() {
	if (!global.application) {
		throw new Error("Application not initialized, Path.js require global.application to be defined.");
	}
	
	return Path.join(global.application.config.get('system.localPath'));
}

Path.getApplicationPath = function() {
	return Path.join(getBasePath(), '/application/');
}

module.exports = Path;